/*
 * 安装位置管理
*/
import request from '../index'
// 列表
export function getLocationListPage(data: any) {
  return request({
    url: '/system/location/listPage',
    method: 'get',
    params: data,
  })
}
// 新建
export function addLocation(data: any) {
  return request({
    url: '/system/location/add',
    method: 'post',
    data,
  })
}
// 编辑
export function updateLocation(data: any) {
  return request({
    url: '/system/location/update',
    method: 'post',
    data,
  })
}
// 删除
export function delLocation(data: any) {
  return request({
    url: '/system/location/delete',
    method: 'post',
    data,
  })
}
// 列表 - 不分页
export function getLocationList() {
  return request({
    url: '/system/location/list',
    method: 'get',
  })
}
